DS_REMOVE_NAMED_ELEMENTS(3)

EXPERIMENTAL_FUNC
ds_remove_named_elements - Remove a list of named elements from a packet.

SYNOPSIS
#include <karma_ds.h>

flag ds_remove_named_elements

(packet_desc *pack_desc, char **packet, CONST char **element_names)

DESCRIPTION
Remove a list of named elements from a packet.

pack_desc
    The packet descriptor.

packet
    A pointer to the packet pointer.

element_names
    The NULL-terminated array of element names to be removed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/